diff options
author | Jim Meyering <jim@meyering.net> | 1997-06-22 04:01:43 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 1997-06-22 04:01:43 +0000 |
commit | 973f13ccb2d135c86860889272728657e5407c64 (patch) | |
tree | 6f0a654d72f7ee39d2657afbf30cbdbfda6a0030 /tests/cp | |
parent | e148f6d2932895599c732cff51878eb6a0fde7ab (diff) | |
download | coreutils-973f13ccb2d135c86860889272728657e5407c64.tar.xz |
.
Diffstat (limited to 'tests/cp')
-rwxr-xr-x | tests/cp/no-deref-link1 | 10 | ||||
-rwxr-xr-x | tests/cp/no-deref-link2 | 10 | ||||
-rwxr-xr-x | tests/cp/no-deref-link3 | 10 |
3 files changed, 21 insertions, 9 deletions
diff --git a/tests/cp/no-deref-link1 b/tests/cp/no-deref-link1 index 96f2452ad..5cf4ee326 100755 --- a/tests/cp/no-deref-link1 +++ b/tests/cp/no-deref-link1 @@ -10,13 +10,17 @@ cd b ln -s ../a/foo . cd .. +fail=0 + # It should fail with a message something like this: # ./cp: `a/foo' and `b/foo' are the same file ./cp -d a/foo b 2>/dev/null # Fail this test if the exit status is not 1 -test $? = 1 || exit 1 +test $? = 1 || fail=1 + +test "`cat a/foo`" = $msg || fail=1 -test "`cat a/foo`" = bar || exit 1 +rm -rf a b -exit 0 +exit $fail diff --git a/tests/cp/no-deref-link2 b/tests/cp/no-deref-link2 index 8dfc6ba33..8c12c1d27 100755 --- a/tests/cp/no-deref-link2 +++ b/tests/cp/no-deref-link2 @@ -10,13 +10,17 @@ cd b ln -s ../a . cd .. +fail=0 + # It should fail with a message something like this: # ./cp: `a' and `b/foo' are the same file ./cp -d a b 2>/dev/null # Fail this test if the exit status is not 1 -test $? = 1 || exit 1 +test $? = 1 || fail=1 + +test "`cat a`" = $msg || fail=1 -test "`cat a`" = bar || exit 1 +rm -rf a b -exit 0 +exit $fail diff --git a/tests/cp/no-deref-link3 b/tests/cp/no-deref-link3 index 896d64d8a..4d3611aee 100755 --- a/tests/cp/no-deref-link3 +++ b/tests/cp/no-deref-link3 @@ -7,13 +7,17 @@ msg=bar echo $msg > a ln -s a b +fail=0 + # It should fail with a message something like this: # ./cp: `a' and `b' are the same file ./cp -d a b 2>/dev/null # Fail this test if the exit status is not 1 -test $? = 1 || exit 1 +test $? = 1 || fail=1 + +test "`cat a`" = $msg || fail=1 -test "`cat a`" = bar || exit 1 +rm -f a b -exit 0 +exit $fail |